import { ref } from '@connectv/html';
import { transport } from '@connectv/sdh/transport';
export function CollapseControl(_, renderer) {
    const marker = ref();
    this.track({
        bind() {
            const parent = marker.$.parentElement;
            if (parent) {
                parent.addEventListener('collapse-open', () => parent.classList.add('open'));
                parent.addEventListener('collapse-close', () => parent.classList.remove('open'));
                parent.addEventListener('collapse-toggle', () => parent.classList.toggle('open'));
            }
        }
    });
    return renderer.create("span", { hidden: true, _ref: marker });
}
export const CollapseControl$ = /*#__PURE__*/ transport(CollapseControl);
//# sourceMappingURL=collapse-control.js.map